/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_recursive_factorial.c                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: loic <marvin@42.fr>                        +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2019/01/07 21:51:15 by loic              #+#    #+#             */
/*   Updated: 2019/01/07 21:59:10 by loic             ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int			ft_recursive_factorial(int nb)
{
	if (nb < 0 || nb > 12)
			return (0);
	if (nb == 0 || nb == 1)
			return (1);
	return (nb * ft_recursive_factorial(nb - 1));
}
